For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Carts
        • Carts
        • Channels
        • Checkouts
        • Currencies
        • Customer Segmentation
        • Geography
        • Infrastructure Hosting
        • Inventory
        • Orders
        • Order Operations
        • Pickup
        • Pickup Methods
        • Pickup Options
        • Pricing
        • Price Lists
            • GETList Price Lists
            • POSTCreate Price List
            • DELDelete All Price Lists
            • GETGet Price List
            • PUTUpdate Price List
            • DELDelete Price List
              • GETGet Price List Assignments
              • POSTCreate Price List Assignments
              • DELDelete Price List Assignments
              • PUTUpsert Price List Assignment
        • Promotions
        • Promotion Settings
        • Redirects
        • Scripts
        • Settings
        • Shipping
        • Sites
        • Subscribers
        • System Logs
        • Tax
        • Wishlists
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminManagementPrice ListsPrice Lists Assignments

Delete Price List Assignments

DELETE
https://api.bigcommerce.com/stores/:store_hash/v3/pricelists/assignments
DELETE
/stores/:store_hash/v3/pricelists/assignments
$curl -X DELETE https://api.bigcommerce.com/stores/store_hash/v3/pricelists/assignments \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>"

Deletes one or more Price List Assignments objects from BigCommerce using a query parameter. You must use at least one query parameter.

Was this page helpful?
Previous

Create Price List Assignments

Next

Upsert Price List Assignment

Built with

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Productsmodifystore_v2_products
Productsread-onlystore_v2_products_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json
The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

Query parameters

idintegerOptional

The ID of the Price List Assignment.

price_list_idintegerOptional

The ID of the Price List.

customer_group_idintegerOptional

The ID of the Customer Group.

channel_idintegerOptional

The ID of the Channel.

channel_id:inlist of integersOptional

Filter results by a comma-separated list of channel IDs.

Response

No Content.

The MIME type of the response body.